%global repo nde-kwin

Name:           nde-kwin
Version:        0.0.1
Release:        5%{?dist}
Summary:        KWin libraries for Newstart Desktop Environment
License:        GPLv3+
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  kwin-devel
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  libepoxy-devel
BuildRequires:  kf5-kwayland-devel
BuildRequires:  kf5-kglobalaccel-devel
BuildRequires:  cmake(KDecoration2)
BuildRequires:  qt5-linguist
BuildRequires:  qt5-qtbase-static
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
Requires:       kwin%{?_isa}

Source0:        %{name}-%{version}.tar.gz

%description
This package provides a kwin libraries that used by the NewStart Desktop Environment.

%prep
%setup -q -n %{repo}-%{version}

%build
mkdir -p %{_target_platform}
#pushd %{_target_platform}
%{cmake} ..


make %{?_smp_mflags} -C %{_target_platform}

%install
%cmake_install

%ldconfig_scriptlets

%files
%doc CHANGELOG.md
%license LICENSE
%{_libdir}/libkwinutils.so
%{_libdir}/libkwinutils.so.*
%{_includedir}/nde-kwin/kwinutils.h
%{_libdir}/qt5/plugins/kwin/effects/plugins/libeffects-lib.so
/etc/xdg/kwinrc
/usr/share/aurorae/themes/NdeLight
/usr/share/aurorae/themes/NdeLight/close.svg
/usr/share/aurorae/themes/NdeLight/NdeLightrc
/usr/share/aurorae/themes/NdeLight/metadata.desktop
/usr/share/aurorae/themes/NdeLight/restore.svg
/usr/share/aurorae/themes/NdeLight/decoration.svg
/usr/share/aurorae/themes/NdeLight/alldesktops.svg
/usr/share/aurorae/themes/NdeLight/maximize.svg
/usr/share/aurorae/themes/NdeLight/minimize.svg
/usr/share/kwin/tabbox/thumbnail_grid/contents/ui/main.qml
/usr/share/kwin/tabbox/thumbnail_grid/metadata.desktop


%changelog
* Fri Oct 9 2020 lv kaiyi <lv.kaiyi@gd-linux.com> - 0.0.1-5
- 添加tabbox插件

* Wed Sep 16 2020 wu jiaheng <wu.jiaheng@gd-linux.com> - 0.0.1-4
- 去掉窗口管理器右键菜单

* Wed Sep 9 2020 wu jiaheng <wu.jiaheng@gd-linux.com> - 0.0.1-3
- 添加窗口管理器主题

* Sun May 10 2020 lv kaiyi <lv.kaiyi@gd-linux.com> - 0.0.1-1
- rebuild (qt5)

